import java.util.Arrays;
import java.util.Comparator;

class Liga {
	private Verein[] vereine;

	public Verein[] getVereine() {
		return vereine;
	}
}

class Verein {
	private String name;
	private int spiele;
	private Punkte punkte;
	private Tore tore;
	private Statistik statistik;

	public String getName() {
		return name;
	}

	public int getSpiele() {
		return spiele;
	}

	public Punkte getPunkte() {
		return punkte;
	}

	public Tore getTore() {
		return tore;
	}

	public Statistik getStatistik() {
		return statistik;
	}
}

class Punkte {
	private int plus;

	public int getPlus() {
		return plus;
	}
}

class Tore extends Punkte {
	private int minus;

	public int getMinus() {
		return minus;
	}
}

class Statistik {
	private int siege;
	private int unentschieden;
	private int niederlagen;

	public int getSiege() {
		return siege;
	}

	public int getUnentschieden() {
		return unentschieden;
	}

	public int getNiederlagen() {
		return niederlagen;
	}
}

class VereinsComparator implements Comparator<Verein> {

	@Override
	public int compare(Verein v1, Verein v2) {
		int punktDiff = v1.getPunkte().getPlus() - v2.getPunkte().getPlus();
		if (punktDiff != 0) {
			return -punktDiff;
		}
		int torDiff1 = v1.getTore().getPlus() - v1.getTore().getMinus();
		int torDiff2 = v2.getTore().getPlus() - v2.getTore().getMinus();
		int torDiff = torDiff1 - torDiff2;
		if (torDiff != 0) {
			return -torDiff;
		}
		return -1 * (v1.getTore().getPlus() - v2.getTore().getMinus());
	}

}

public class UE23Aufgabe11 {

	public static void main(String[] args) {
		Liga bundesliga = new Liga();
		// Spielbetrieb ...
		Arrays.sort(bundesliga.getVereine(), new VereinsComparator());
		printTabelle(bundesliga);
	}

	static void printTabelle(Liga liga) {
		for (Verein verein : liga.getVereine()) {
			System.out.print(verein.getName());
			System.out.print(verein.getSpiele());
			System.out.print(verein.getStatistik().getSiege());
			System.out.print(verein.getStatistik().getUnentschieden());
			System.out.print(verein.getStatistik().getNiederlagen());
			System.out.print(verein.getTore().getPlus() + ":"
					+ verein.getTore().getMinus());
			int torDiff = verein.getTore().getPlus()
					- verein.getTore().getMinus();
			String diffStr = "" + torDiff;
			if (torDiff > 0) {
				diffStr = "+" + diffStr;
			} else if (torDiff < 0) {
				diffStr = "-" + diffStr;
			}
			System.out.print(diffStr);
			System.out.print(verein.getPunkte().getPlus());
		}
		System.out.println();
	}

}
